Bug 2282529 - CVE-2024-26256 libarchive: Heap based buffer overflow in rar e8 filter [fedora-39]
Summary: CVE-2024-26256 libarchive: Heap based buffer overflow in rar e8 filter [fedor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libarchive
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Javorsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-26256
TreeView+ depends on / blocked
 
Reported: 2024-05-22 14:03 UTC by Zack Miele
Modified: 2024-06-12 01:31 UTC (History)
5 users (show)

Fixed In Version: libarchive-3.7.1-2.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-06-12 01:31:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Zack Miele 2024-05-22 14:03:23 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2282521

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Zack Miele 2024-05-22 14:03:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2282521,2282529

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Lukas Javorsky 2024-05-27 08:15:41 UTC
I'll work on this CVE

Comment 4 Fedora Update System 2024-05-27 10:45:08 UTC
FEDORA-2024-b15a51292f (libarchive-3.7.1-2.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-b15a51292f

Comment 5 Fedora Update System 2024-05-28 01:51:39 UTC
FEDORA-2024-b15a51292f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-b15a51292f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-b15a51292f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-06-12 01:31:34 UTC
FEDORA-2024-b15a51292f (libarchive-3.7.1-2.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.